com.sun.syndication.feed.synd.impl

## Class Converters

- java.lang.Object
- - com.sun.syndication.io.impl.PluginManager
  - - com.sun.syndication.feed.synd.impl.Converters

    public class Converters
    extends PluginManager

Created by IntelliJ IDEA. User: tucu Date: May 21, 2004 Time: 5:26:04 PM To change this template use Options | File Templates.

### Field Summary

Fields
`static java.lang.String` `CONVERTERS_KEY` Converter.classes= [className] ...

### Constructor Summary

Constructors
Constructor and Description
`Converters()`

### Method Summary

Methods
`Converter` `getConverter(java.lang.String feedType)`
`protected java.lang.String` `getKey(java.lang.Object obj)`
`java.util.List` `getSupportedFeedTypes()`

### Methods inherited from class com.sun.syndication.io.impl.PluginManager

`getKeys, getPlugin, getPluginMap, getPlugins`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONVERTERS_KEY

    public static final java.lang.String CONVERTERS_KEY

Converter.classes= [className] ...

See Also:
  Constant Field Values

### Constructor Detail

#### Converters

    public Converters()

### Method Detail

#### getConverter

    public Converter getConverter(java.lang.String feedType)

#### getKey

    protected java.lang.String getKey(java.lang.Object obj)

Specified by:
  `getKey` in class `PluginManager`

#### getSupportedFeedTypes

    public java.util.List getSupportedFeedTypes()